<?php 
session_start();
include("DMMYSQLG.php");
include("DSA1000.php");
include("DMMYSQLG.php");
include("DF30000.inc");
include("JQUERY.inc");
$nr=0;
?>
<html>
<HEAD> 
	<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
	<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
	<meta name="tipo_contenido" content="text/html;" http-equiv="content-type" charset="utf-8">
	<script>
		$(document).ready(function(){
			function formatItem(row) {
				return " (<strong>" + row[1] + "</strong>)"+row[0];
			}
			var pagRes='AL10701_DS.php';
			var idObjDes='prods';



//ademas el autocomplete se va a ejecutar con la descripcion no con la clave

$("#des").autocomplete({
	source:pagRes,
		minChars: 1,                 //Caracteres Minimos antes de autocompletar
		max:20,                      //maximo de resultados mostrados, se manda como limit en autosugestion
		                 //ancho del cuadro de despliegue
		 delay: 200,           //Resalta letras coincidentes
		autoFill: true,             //autocompleta en texto la posible palabra
		scroll: true,				 //si cuadro tiene barra scroll
		scrollHeight: 100,           //alto del cuadro para el scroll
		
		select: function( event, ui ) {
			$("#prods").val(ui.item.id);

		}
 //Parametros Extra a Mandar en autosugestion
});	

});

</script>
</HEAD>
<body>
	<div align="center">
		<form name="frm1" id="frm1" method="post" action="">
			<table width="586" border="0">


				<tr>
					<th colspan="2">SALIDAS DE ALMACEN  ACUMULADO MENSUAL</th>
				</tr>

				<tr>
					<th width="291"> 
						<input name="rad[]" type="radio" value="1" tabindex="1" checked/> 
						GENERAL 
						<input name="rad[]" type="radio" value="2" tabindex="1"/> 
						X DEPARTAMENTO 
						<input name="rad[]" type="radio" value="3" tabindex="1"/> 
						X UNIDAD
						<input name="rad[]" type="radio" value="4" tabindex="1"/> 
						X NUMERO DE PRODUCTO
						<br>
						<select name="departamento" id="departamento" style='display:none;'>
							<option value="">---------SELECCIONE---------</option>
							<?php
							$sql = mysqli_query($con ,"SELECT * FROM fdepartamento where t1='ACTIVO' order by np_desc1 ");
							while($reg=mysqli_fetch_array($sql)){
								if($_POST['departamento']==$reg['np_desc1'] ){
									echo '<option value="' . $reg['nparte1'] . '" selected>' . $reg['np_desc1'] . '</option>';
								}else{
									echo '<option value="' . $reg['nparte1'] . '">' . $reg['np_desc1'] . '</option>';
								}
							}			
							?>       
						</select>
						<div id="div_num_prod" style='display:none;'>
							<input name="des" iad="des" placeholder="buscar"/> <br/>
							<input name="prods" id="prods" readonly placeholder="numero de producto"/>
						</div>


						<div id="respuest"></div>
					</th>
				</tr>
				
					<tr id="num_prod" style='display:none;'>
						<td>
							<div >
								<input name="des" id="des" placeholder="buscar"/> <br/>
								<input name="prods" id="prods" readonly placeholder="numero de producto"/>
							</div>
						</td>
					</tr>
				

				<tr>

					<td>
						<strong>Fecha:</strong>
						<div style="width: 80px;">
							<select name="fec" class="emplea datefrom" id="fec">
								<?php
								for($i=date('o'); $i>=2010; $i--){
									if ($i == date('o'))
										echo '<option value="'.$i.'" selected>'.$i.'</option>';
									else
										echo '<option value="'.$i.'">'.$i.'</option>';
								}
								?>
							</select>
						</div>


					</td>
				</tr>
				<tr>
					<td colspan="2">
						<div align="center">
							<input  id="ex1" ="Submit" type="button" class="original"  value="REPORTE GENERAL DE DEPARTAMENTOS"/>
							<input style='display:none;' id="ex2" name="Submit" type="button" class="original"  value="REPORTE X DEPARTAMENTO "/>
							<input style='display:none;' id="ex3" name="Submit" type="button" class="original"  value="REPORTE X UNIDAD"/>
							<input style='display:none;' id="ex4" name="Submit" type="button" class="original"  value="REPORTE X NUMERO DE PRODUCTO"/>
						</div></td>
					</tr>
				</table>   
			</form>
		</div> 
		<div align="center">
			<form method="post" action="" >
				<?php


				?>
				<div style="height:450px; overflow:scroll; width:1150;" align="center">

				</div>
			</form>
		</div>
		<script>
			$(document).ready(function() {

				$('#ex1').click(function(){

					openpage('acumulado_EX.php','_self');

				});
				
				$("input[name='rad[]']").change(function () {

					$("input[name='rad[]']:checked").each(function () {
						elegido=$(this).val();
						if (elegido==1) {
							document.getElementById('departamento').style.display = 'none';
							document.getElementById('num_prod').style.display = 'none';
							document.getElementById('ex1').style.display = 'block';
							document.getElementById('ex2').style.display = 'none';
							document.getElementById('ex3').style.display = 'none';
							document.getElementById('ex4').style.display = 'none';


						}if (elegido==2) {
							document.getElementById('departamento').style.display = 'block';
							document.getElementById('num_prod').style.display = 'none';
							document.getElementById('ex1').style.display = 'none';
							document.getElementById('ex2').style.display = 'block';
							document.getElementById('ex3').style.display = 'none';
							document.getElementById('ex4').style.display = 'none';
							$('#ex2').click(function(){
								if(document.getElementById('departamento').value == ''){
									alert('por favor seleccione el almacen');
								}else{
									openpage('acumulado_EX2.php','_self');
								}
							});

						} 
						if (elegido==3) {
							document.getElementById('departamento').style.display = 'block';
							document.getElementById('num_prod').style.display = 'none';
							document.getElementById('ex1').style.display = 'none';
							document.getElementById('ex2').style.display = 'none';
							document.getElementById('ex3').style.display = 'block';
							document.getElementById('ex4').style.display = 'none';
							$('#ex3').click(function(){
								if(document.getElementById('departamento').value == ''){
									alert('por favor seleccione el almacen');
								}else{
									openpage('acumulado_EX3.php','_self');
								}
							});
						} 
						if (elegido==4) {
							document.getElementById('departamento').style.display = 'none';
							document.getElementById('num_prod').style.display = 'block';
							document.getElementById('ex1').style.display = 'none';
							document.getElementById('ex2').style.display = 'none';
							document.getElementById('ex3').style.display = 'none';
							document.getElementById('ex4').style.display = 'block'; 
							$('#ex4').click(function(){
								if(document.getElementById('des').value == ''){
									alert('por favor seleccione el proveedor');
								}else{
									openpage('acumulado_EX4.php','_self');
								}
							});

						} 
					});
				}); 

			});


		</script>
	</body>
	</html><?php
 /* 100 LISTO ULTIMA ACTUALIACION 21/AGOSTO/2012
 225 LISTO ULTIMA ACTUALIACION 27/AGOSTO/2013 */ ?>
